package com.ruoyi.system.model;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Author jiuli
 * @Date 2024/1/16
 */
public class HeaderModel implements Serializable {
    //凭证ID
    private String id;
    //凭证号
    private Integer billcode;
    //展示凭证号（同凭证号）
    private String displaybillcode;
    //凭证摘要
    private String description;
    //会计期间
    private String period;
    //展示名称（凭证字-凭证号）
    private String displayname;
    //来源系统名称
    private String srcsystem;
    //凭证状态（00暂存，01保存，02错误，03已审核，04已记账，05作废）
    private String voucherstatus;
    //借方本币合计（账簿）
    private BigDecimal totaldebit_org;
    //贷方本币合计（账簿）
    private BigDecimal totalcredit_org;
    //借方本币合计（组织）
    private BigDecimal organizeDebitTotalAmount;
    //贷方本币合计（组织）
    private BigDecimal organizeCreditTotalAmount;
    //借方本币合计（集团）
    private BigDecimal totaldebit_group;
    //贷方本币合计（集团）
    private BigDecimal totalcredit_group;
    //借方本币合计（全局）
    private BigDecimal totaldebit_global;
    //贷方本币合计（全局）
    private BigDecimal totalcredit_global;
    //制单日期
    private String maketime;
    //最后操作时间
    private String ts;
    //制单人
    private MakerModel maker;
    //审核人
    private AuditorModel auditor;
    //记账人
    private TallymanModel tallyman;
    //来源系统
    private SrcsystemidModel srcsystemid;
    //账簿
    private AccbookModel accbook;
    //凭证类型
    private VouchertypeModel vouchertype;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getBillcode() {
        return billcode;
    }

    public void setBillcode(Integer billcode) {
        this.billcode = billcode;
    }

    public String getDisplaybillcode() {
        return displaybillcode;
    }

    public void setDisplaybillcode(String displaybillcode) {
        this.displaybillcode = displaybillcode;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getPeriod() {
        return period;
    }

    public void setPeriod(String period) {
        this.period = period;
    }

    public String getDisplayname() {
        return displayname;
    }

    public void setDisplayname(String displayname) {
        this.displayname = displayname;
    }

    public String getSrcsystem() {
        return srcsystem;
    }

    public void setSrcsystem(String srcsystem) {
        this.srcsystem = srcsystem;
    }

    public String getVoucherstatus() {
        return voucherstatus;
    }

    public void setVoucherstatus(String voucherstatus) {
        this.voucherstatus = voucherstatus;
    }

    public BigDecimal getTotaldebit_org() {
        return totaldebit_org;
    }

    public void setTotaldebit_org(BigDecimal totaldebit_org) {
        this.totaldebit_org = totaldebit_org;
    }

    public BigDecimal getTotalcredit_org() {
        return totalcredit_org;
    }

    public void setTotalcredit_org(BigDecimal totalcredit_org) {
        this.totalcredit_org = totalcredit_org;
    }

    public BigDecimal getOrganizeDebitTotalAmount() {
        return organizeDebitTotalAmount;
    }

    public void setOrganizeDebitTotalAmount(BigDecimal organizeDebitTotalAmount) {
        this.organizeDebitTotalAmount = organizeDebitTotalAmount;
    }

    public BigDecimal getOrganizeCreditTotalAmount() {
        return organizeCreditTotalAmount;
    }

    public void setOrganizeCreditTotalAmount(BigDecimal organizeCreditTotalAmount) {
        this.organizeCreditTotalAmount = organizeCreditTotalAmount;
    }

    public BigDecimal getTotaldebit_group() {
        return totaldebit_group;
    }

    public void setTotaldebit_group(BigDecimal totaldebit_group) {
        this.totaldebit_group = totaldebit_group;
    }

    public BigDecimal getTotalcredit_group() {
        return totalcredit_group;
    }

    public void setTotalcredit_group(BigDecimal totalcredit_group) {
        this.totalcredit_group = totalcredit_group;
    }

    public BigDecimal getTotaldebit_global() {
        return totaldebit_global;
    }

    public void setTotaldebit_global(BigDecimal totaldebit_global) {
        this.totaldebit_global = totaldebit_global;
    }

    public BigDecimal getTotalcredit_global() {
        return totalcredit_global;
    }

    public void setTotalcredit_global(BigDecimal totalcredit_global) {
        this.totalcredit_global = totalcredit_global;
    }

    public String getMaketime() {
        return maketime;
    }

    public void setMaketime(String maketime) {
        this.maketime = maketime;
    }

    public String getTs() {
        return ts;
    }

    public void setTs(String ts) {
        this.ts = ts;
    }

    public MakerModel getMaker() {
        return maker;
    }

    public void setMaker(MakerModel maker) {
        this.maker = maker;
    }

    public AuditorModel getAuditor() {
        return auditor;
    }

    public void setAuditor(AuditorModel auditor) {
        this.auditor = auditor;
    }

    public TallymanModel getTallyman() {
        return tallyman;
    }

    public void setTallyman(TallymanModel tallyman) {
        this.tallyman = tallyman;
    }

    public SrcsystemidModel getSrcsystemid() {
        return srcsystemid;
    }

    public void setSrcsystemid(SrcsystemidModel srcsystemid) {
        this.srcsystemid = srcsystemid;
    }

    public AccbookModel getAccbook() {
        return accbook;
    }

    public void setAccbook(AccbookModel accbook) {
        this.accbook = accbook;
    }

    public VouchertypeModel getVouchertype() {
        return vouchertype;
    }

    public void setVouchertype(VouchertypeModel vouchertype) {
        this.vouchertype = vouchertype;
    }
}
